First time here? Check out the FAQ!
x

Require PedPlus2 software version for Windows 10.

0 votes
asked by
edited by

Require PedPlus2 software version for Windows 10.

1 Answer

0 votes
answered by (309k points)

The software won't be compatible with the Windows 10 operating system in the future, because the official website is discontinued. When I tried to access it, a generic search page was displayed instead. At this moment, PedPlus2 is an application that won't have compatibility with Windows 10 or any other future operating systems that will be released.

Your answer

Your name to display (optional):
Privacy: Your email address will only be used for sending these notifications.
Anti-spam verification:
To avoid this verification in future, please log in or register
...